Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.cometd.demo
Class BayeuxServicesListener.Monitor

    java.lang.Object
      org.mortbay.cometd.BayeuxService
          org.cometd.demo.BayeuxServicesListener.Monitor

Enclosing class:
  BayeuxServicesListener

    public static class BayeuxServicesListener.Monitor

extends BayeuxService

Constructor Summary
`BayeuxServicesListener.Monitor(org.cometd.Bayeux bayeux)`

Method Summary
`void` | `monitorMeta(org.cometd.Client client, org.cometd.Message message)`
`void` | `monitorSubscribe(org.cometd.Client client, org.cometd.Message message)`
`void` | `monitorUnsubscribe(org.cometd.Client client, org.cometd.Message message)`

Methods inherited from class org.mortbay.cometd.BayeuxService
`exception, getBayeux, getClient, getThreadPool, isSeeOwnPublishes, send, setSeeOwnPublishes, setThreadPool, subscribe`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BayeuxServicesListener.Monitor

    public BayeuxServicesListener.Monitor(org.cometd.Bayeux bayeux)

Method Detail

### monitorSubscribe

    public void monitorSubscribe(org.cometd.Client client,
                                 org.cometd.Message message)

### monitorUnsubscribe

    public void monitorUnsubscribe(org.cometd.Client client,
                                   org.cometd.Message message)

### monitorMeta

    public void monitorMeta(org.cometd.Client client,
                            org.cometd.Message message)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2008 Mort Bay Consulting. All Rights Reserved.